Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos
Class OperatingSystemType

    java.lang.Object
      org.jini.rio.qos.OperatingSystemType

    public class OperatingSystemType

extends Object

Utilities to help determine operating system type

Field Summary
`static String` | `HP_UX` HP-UX identifier
`static String` | `LINUX` Linux identifier
`static String` | `MACINTOSH` Mac identifier
`static String` | `SOLARIS` Solaris identifier
`static String` | `WINDOWS` Windows identifier
`static String` | `WINDOWS_2K` Windows 2000 identifier
`static String` | `WINDOWS_XP` Windows XP identifier

Constructor Summary
`OperatingSystemType()`

Method Summary
`static String` | `getPid()` Gets a string representing the pid of this program - Java VM
`static boolean` | `isHP()` Check if running on HP-UX
`static boolean` | `isLinux()` Check if running on Linux
`static boolean` | `isMac()` Check if running on Mac
`static boolean` | `isSolaris()` Check if running on Solaris
`static boolean` | `isWindows()` Check if running on Windows
`static boolean` | `isWindows2K()` Check if running on Windows 2000
`static boolean` | `isWindowsXP()` Check if running on Windows XP

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINUX

    public static final String LINUX

  Linux identifier

  See Also:
    Constant Field Values

### SOLARIS

    public static final String SOLARIS

  Solaris identifier

  See Also:
    Constant Field Values

### MACINTOSH

    public static final String MACINTOSH

  Mac identifier

  See Also:
    Constant Field Values

### WINDOWS

    public static final String WINDOWS

  Windows identifier

  See Also:
    Constant Field Values

### WINDOWS_2K

    public static final String WINDOWS_2K

  Windows 2000 identifier

  See Also:
    Constant Field Values

### WINDOWS_XP

    public static final String WINDOWS_XP

  Windows XP identifier

  See Also:
    Constant Field Values

### HP_UX

    public static final String HP_UX

  HP-UX identifier

  See Also:
    Constant Field Values

Constructor Detail

### OperatingSystemType

    public OperatingSystemType()

Method Detail

### isLinux

    public static boolean isLinux()

  Check if running on Linux

  Returns:
    If running on Linux return `true`, otherwise return `false`

### isSolaris

    public static boolean isSolaris()

  Check if running on Solaris

  Returns:
    If running on Solaris return `true`, otherwise return `false`

### isMac

    public static boolean isMac()

  Check if running on Mac

  Returns:
    If running on Mac return `true`, otherwise return `false`

### isHP

    public static boolean isHP()

  Check if running on HP-UX

  Returns:
    If running on HP-UX return `true`, otherwise return `false`

### isWindows

    public static boolean isWindows()

  Check if running on Windows

  Returns:
    If running on Windows return `true`, otherwise return `false`

### isWindows2K

    public static boolean isWindows2K()

  Check if running on Windows 2000

  Returns:
    If running on Windows 2000 return `true`, otherwise return `false`

### isWindowsXP

    public static boolean isWindowsXP()

  Check if running on Windows XP

  Returns:
    If running on Windows XP return `true`, otherwise return `false`

### getPid

    public static String getPid()
                         throws IOException,
                                InterruptedException

  Gets a string representing the pid of this program - Java VM

  Returns:
    A String that corresponds to the process ID (PID) of the JVM. This method will create a shell using /bin/bash and obtain the $PPID environment variable. If the operating system type is Windows, an empty string is returned
  Throws:
    `IOException` - If the shell cannot be created
    `InterruptedException` - If the process wait is interrupted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.